#include <vector>
#include <string>
#include <iostream>
#include <algorithm>

using namespace std;


struct Account
{
	int id;
	int bankid;
	int total;
};

vector<Account> accounts;

int find(int id,int bankid)
{
	int sz=accounts.size();
	for (int i=0;i<sz;i++)
	{
		if ((accounts[i].id==id)&&(accounts[i].bankid==bankid))
		{
			return i;
		}
	}

	return -1;
}

void print(char *str1,int total1,int total2,char *str2)
{
	cout << str1 << total1 << ".";
	if (total2<10) cout << "0" << total2;
	else cout << total2;
	cout << str2; 
}

int main(void)
{
	while(true)
	{
		accounts.clear();
		int count;
		cin >> count;		
		if (count==0) break;

		for(int i=0;i<count;i++)
		{
			int id;
			int bankid;
			int total1,total2;
			scanf("%d/%d %d.%d\n",&id,&bankid,&total1,&total2);
			Account account;
			account.id = id;
			account.bankid=bankid;
			account.total = total1*100+total2;
			accounts.push_back(account);
		}
		
		while (true)
		{
			char straction[250];

			scanf("%s",(char*)straction);

			string action(straction);

			if (action.compare("end")==0) 
			{
				scanf("\n\n");
				break;
			}

			scanf(" ");

			if (action.compare("create")==0)
			{	
				int id,bankid;
				scanf("%d/%d\n",&id,&bankid);
				if (find(id,bankid)==-1) 
				{
					Account a;
					a.id=id;					
					a.bankid=bankid;					
					a.total=0;
					accounts.push_back(a);
					cout << "create: ok\n";
				}				
				else
				{
					cout << "create: already exists\n";
				}
			}
			else if (action.compare("deposit")==0)
			{
				int id,bankid;
				int total1,total2;
				scanf("%d/%d %d.%d\n",&id,&bankid,&total1,&total2);

				int ai = find(id,bankid);
				if (ai==-1)
				{					
					print("deposit ",total1,total2,": no such account\n");
				}	
				else
				{
					//cout << "deposit " << total1 << "." << total2 << ": ok\n"; 
					print("deposit ",total1,total2,": ok\n");
					accounts[ai].total += total1*100+total2;
				}
			}
			else if (action.compare("withdraw")==0)
			{
				int id,bankid;
				int total1,total2;
				scanf("%d/%d %d.%d\n",&id,&bankid,&total1,&total2);

				int ai = find(id,bankid);
				if (ai==-1)
				{
//					cout << "withdraw " << total1 << "." << total2 << ": no such account\n"; 
					print("withdraw ",total1,total2,": no such account\n");
				}	
				else
				{
					int wt = total1*100+total2;
					if (accounts[ai].total-wt < 0) 
					{		
						//cout << "withdraw " << total1 << "." << total2 << ": insufficient funds\n"; 
						print("withdraw ",total1,total2,": insufficient funds\n");
					}
					else
					{
						//cout << "withdraw " << total1 << "." << total2 << ": ok\n"; 
						print("withdraw ",total1,total2,": ok\n");
						accounts[ai].total -= wt;
					}
				}	
			}
			else if (action.compare("transfer")==0)
			{
				int src_id;
				int src_bankid;
				int dst_id;
				int dst_bankid;
				int total1,total2;

				scanf("%d/%d %d/%d %d.%d\n",&src_id,&src_bankid,&dst_id,&dst_bankid,&total1,&total2);
				int src_ai = find(src_id,src_bankid);
				int dst_ai = find(dst_id,dst_bankid);
				/*cout << "DEBUG: [" 
				cout << src_id << " " << src_bankid << " ";
				cout << dst_id << " " << dst_bankid << " ";
				cout << src_ai << " " << dst_ai;
				cout << "\n";*/
				if ((src_ai==-1)||(dst_ai==-1))
				{
					//cout << "transfer " << total1 << "." << total2 << ": no such account\n"; 
					print("transfer ",total1,total2,": no such account\n");

				}
				else if (src_ai==dst_ai)
				{
					//cout << "transfer " << total1 << "." << total2 << ": same account\n"; 
					print("transfer ",total1,total2,": same account\n");
				}
				else
				{
					int wt = total1*100+total2;
					if (accounts[src_ai].total-wt < 0) 
					{		
						//cout << "transfer " << total1 << "." << total2 << ": insufficient funds\n"; 
						print("transfer ",total1,total2,": insufficient funds\n");
					}
					else
					{
						if (src_bankid==dst_bankid)
						{
							//cout << "transfer " << total1 << "." << total2 << ": ok\n"; 
							print("transfer ",total1,total2,": ok\n");
						}
						else
						{
							//cout << "transfer " << total1 << "." << total2 << ": interbank\n"; 
							print("transfer ",total1,total2,": interbank\n");
						}
						accounts[src_ai].total -= wt;
						accounts[dst_ai].total += wt;
					}
				}
			}			
		}

		cout << "end\n\n";
	}

	cout << "goodbye";

	return 0;	
}
